# Gio::Proxy Class Reference

TODO: Documentation. More...

`#include <giomm/proxy.h>`

Inheritance diagram for Gio::Proxy:
[legend]

List of all members.

## Public Member Functions

virtual | ~Proxy ()
GProxy* | gobj ()
| Provides access to the underlying C GObject.
const GProxy* | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< IOStream > | connect (const Glib::RefPtr< IOStream >& connection, const Glib::RefPtr< const ProxyAddress >& proxy_adress, const Glib::RefPtr< Cancellable >& cancellable)
void | connect_async (const Glib::RefPtr< IOStream >& connection, const Glib::RefPtr< const ProxyAddress >& proxy_address, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable)
void | connect_async (const Glib::RefPtr< IOStream >& connection, const Glib::RefPtr< const ProxyAddress >& proxy_address, const SlotAsyncReady& slot)
Glib::RefPtr< IOStream > | connect_finish (const Glib::RefPtr< AsyncResult >& result)
bool | supports_hostname () const

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)
static Glib::RefPtr< Proxy > | get_default_for_protocol (const Glib::ustring& protocol)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gio::Proxy > | wrap (GProxy* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

TODO: Documentation.

Since glibmm 2.26:

## Constructor & Destructor Documentation

virtual Gio::Proxy::~Proxy | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gio::Proxy::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Glib::RefPtr<IOStream> Gio::Proxy::connect | ( | const Glib::RefPtr< IOStream >& | connection,
|  | const Glib::RefPtr< const ProxyAddress >& | proxy_adress,
|  | const Glib::RefPtr< Cancellable >& | cancellable |
| ) |  |  |

void Gio::Proxy::connect_async | ( | const Glib::RefPtr< IOStream >& | connection,
|  | const Glib::RefPtr< const ProxyAddress >& | proxy_address,
|  | const SlotAsyncReady & | slot,
|  | const Glib::RefPtr< Cancellable >& | cancellable |
| ) |  |  |

void Gio::Proxy::connect_async | ( | const Glib::RefPtr< IOStream >& | connection,
|  | const Glib::RefPtr< const ProxyAddress >& | proxy_address,
|  | const SlotAsyncReady & | slot |
| ) |  |  |

Glib::RefPtr<IOStream> Gio::Proxy::connect_finish | ( | const Glib::RefPtr< AsyncResult >& | result | ) |

static Glib::RefPtr<Proxy> Gio::Proxy::get_default_for_protocol | ( | const Glib::ustring& | protocol | ) | `[static]`

GProxy* Gio::Proxy::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

const GProxy* Gio::Proxy::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

bool Gio::Proxy::supports_hostname | ( |  | ) | const

## Friends And Related Function Documentation

Glib::RefPtr< Gio::Proxy > wrap | ( | GProxy * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.